Subject: Re: smoothing methodology for extracting forward forward volatilities
From: [email-masked]
To: [email-masked]
Cc: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Mon, 20 Nov 2000 02:57:00 -0800 (PST)

Hi, everybody,
I ran the smoothing procedure for R8 forward volatility curve (effective date 
Nov. 8, 00), which is:
1. For each of 12 forward volatility curves (corresponding to DEC, JAN, etc.  
find parameters a, A, B, beta, such that function 
a+A*(t+B)(-beta)?has the best fit.?2. Calculate forward forward curves from each of 12 fitted functions with ?bootstrapping routine.?3. Reconstruct the forward forward vol curve.??The figures below illustrate the results. Please let me know, if we need to ?see more results before starting to implement this smoothing in the test ?environment.???????Regarding the function class a+b*exp(-tc) there should be the following  ?restriction on the coefficients satisfied in order to?guarantee bootstrapping procedure to work:??a/b>2*exp(-1.5) ??We can try to use this type of function as well.??Tanya?????Tanya Tamarchenko?11/20/2000 08:31 AM?To: Naveen Andrews/Corp/Enron@ENRON?cc: Alex Huang/Corp/Enron@ENRON, Vince J Kaminski/HOU/ECT@ECT, Vasant ?Shanbhogue/HOU/ECT@ECT, Ted Murphy/HOU/ECT@ECT, Vladimir Gorny/HOU/ECT@ECT ?Subject: Re: smoothing methodology for extracting forward forward ?volatilities  ??Naveen,?your function class a + b(t+c)(-1) corresponds to my beta=1. If we are going 
to use certain class of functions we have to specify the range of parameters
a, b, c, beta, etc. that guarantees us to be able to do out bootstrapping 
procedure for extracting ffvol. That's what  I did  for the function
a+A*(t+B)(-beta) (see my previous e-mail below). I'll try to come up with ?parameter ranges for a+b*exp(-cx) as well.??Tanya?????Naveen Andrews@ENRON?11/17/2000 04:41 PM?To: Tanya Tamarchenko/HOU/ECT@ECT?cc: Alex Huang/Corp/Enron@ENRON, Vince J Kaminski/HOU/ECT@ECT, Vasant ?Shanbhogue/HOU/ECT@ECT, Ted Murphy/HOU/ECT@ECT, Vladimir Gorny/HOU/ECT@ECT ?Subject: Re: smoothing methodology for extracting forward forward ?volatilities  ??Tanya,?            The exponentials we tried earlier (a+bexp(-cx), etc, fit well but ?gave negative numbers in the bootstrapping.?            I tried a + b(t+c)(-1) , a standard power law, and as the 
accompanying graph shows (for the 12 months), the fits are quite good.
            In this case, the ffvols do not become negative (I believe this 
corresponds to your 0 beta).  
  I would have preferred exp(-t) and variants (can explain owing to 
mean-reverting vols), but the power law might be a practical alternative 
(from an implementation standpoint).
Naveen

 

Tanya Tamarchenko@ECT
11/17/2000 02:59 PM
To: Naveen Andrews/Corp/Enron@ENRON, Alex Huang/Corp/Enron@ENRON
cc: Vince J Kaminski/HOU/ECT@ECT, Vasant Shanbhogue/HOU/ECT@ECT, Vladimir 
Gorny/HOU/ECT@ECT 

Subject: Re: smoothing methodology for extracting forward forward 
volatilities  

Following up on our discussions I implemented one method for creating forward 
forward curve
from implied vol curve. 
I sorted out 12 forward curves from an original forward vol curve, each of 12 
curves corresponding
to certain month. Then I fitted each of 12 curves with a function:

y=a+A/power(x+b, beta)

I figured out that when beta is from (0, .5) the above function is suitable 
for performing our bootstrapping
routine of deriving ff vols from implied, because:

y(x+t) * y(x+t) * (x+t) - y(x) * y(x) * tx> 0                  for all x, t.

(I have to double check on this again. Also when beta>0.5 there are some 
combinations of parameters a, A, b, beta
for which above equality holds). Even with restriction on beta this class of 
functions represents quite a variety of shapes.

Below you see the example of fitting as well as the example of ff vol curve 
constructed from implied vol curve for NG.

I'll try this for power as well.

Any comments?